> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pre-translate job



## OpenAPI

````yaml /openapi/phrase-tms-latest.json post /api2/v3/projects/{projectUid}/jobs/preTranslate
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Reference File
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v3/projects/{projectUid}/jobs/preTranslate:
    post:
      tags:
        - Translation
      summary: Pre-translate job
      operationId: preTranslateV3
      parameters:
        - name: projectUid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PreTranslateJobsV3DtoV3'
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncRequestWrapperV2DtoV2'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    PreTranslateJobsV3DtoV3:
      type: object
      required:
        - jobs
      properties:
        callbackUrl:
          type: string
        jobs:
          type: array
          description: Jobs to be pre-translated
          items:
            $ref: '#/components/schemas/UidReference'
          maxItems: 100
          minItems: 1
        preTranslateSettings:
          $ref: '#/components/schemas/PreTranslateJobSettingsV3DtoV3'
        segmentFilters:
          type: array
          items:
            type: string
            enum:
              - LOCKED
              - NOT_LOCKED
        useProjectPreTranslateSettings:
          type: boolean
          description: |-
            If pre-translate settings from project should be used.
            If true, preTranslateSettings values are ignored. Default: `false`
    AsyncRequestWrapperV2DtoV2:
      type: object
      properties:
        asyncRequest:
          $ref: '#/components/schemas/AsyncRequestV2DtoV2'
        reference:
          $ref: '#/components/schemas/AsyncRequestReferenceDtoV2'
    UidReference:
      type: object
      required:
        - uid
      properties:
        uid:
          type: string
    PreTranslateJobSettingsV3DtoV3:
      type: object
      properties:
        autoPropagateRepetitions:
          type: boolean
          description: 'Propagate repetitions. Default: false'
        confirmRepetitions:
          type: boolean
          description: 'Set segment status to confirmed for: Repetitions. Default: false'
        machineTranslationSettings:
          $ref: >-
            #/components/schemas/PreTranslateJobSettingsV3DtoJobMachineTranslationSettingsV3DtoV3
        nonTranslatableSettings:
          $ref: >-
            #/components/schemas/PreTranslateJobSettingsV3DtoJobNonTranslatableSettingsV3DtoV3
        overwriteExistingTranslations:
          type: boolean
          description: 'Overwrite existing translations in target segments. Default: false'
        setJobStatusCompleted:
          type: boolean
          description: >-
            Pre-translate & set job to completed: Set job to completed once
            pre-translated. Default: false
        setJobStatusCompletedWhenConfirmed:
          type: boolean
          description: >-
            Pre-translate & set job to completed when all segments confirmed:

            Set job to completed once pre-translated and all segments are
            confirmed. Default: false
        setProjectStatusCompleted:
          type: boolean
          description: >-
            Pre-translate & set job to completed: Set project to completed once
            all jobs pre-translated.
                    Default: false
        translationMemorySettings:
          $ref: >-
            #/components/schemas/PreTranslateJobSettingsV3DtoJobTranslationMemorySettingsV3DtoV3
      description: Pre-translate settings
    AsyncRequestV2DtoV2:
      type: object
      properties:
        action:
          type: string
          enum:
            - PRE_ANALYSE
            - POST_ANALYSE
            - CONTINUOUS_PRE_ANALYSE
            - CONTINUOUS_POST_ANALYSE
            - COMPARE_ANALYSE
            - PARENT_ANALYSE
            - PRE_TRANSLATE
            - ASYNC_TRANSLATE
            - IMPORT_JOB
            - IMPORT_FILE
            - ALIGN
            - EXPORT_TMX_BY_QUERY
            - EXPORT_TMX
            - IMPORT_TMX
            - IMPORT_MXLF_INTO_TM
            - IMPORT_TBX
            - IMPORT_TBX_TB3
            - INSERT_INTO_TM
            - DELETE_TM
            - CLEAR_TM
            - QA
            - QA_V3
            - UPDATE_CONTINUOUS_JOB
            - UPDATE_SOURCE
            - UPDATE_TARGET
            - EXTRACT_CLEANED_TMS
            - GLOSSARY_PUT
            - GLOSSARY_DELETE
            - ASYNC_TRANSLATE_VERIFY
            - CREATE_PROJECT
            - EXPORT_COMPLETE_FILE
            - IMPORT_ANNOTATIONS
            - FILE_FLOW_CONVERTER_IMPORT
            - FILE_FLOW_MT_PRETRANSLATE
            - FILE_FLOW_QUALITY_ESTIMATION
            - AUTO_LQA
            - ADOPT_SEGMENT_DATA
            - ADOPT_SEGMENT_SET_DATA
            - QP_EVALUATION
        asyncResponse:
          $ref: '#/components/schemas/AsyncResponseV2DtoV2'
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
        id:
          type: string
        parent:
          $ref: '#/components/schemas/AsyncRequestV2DtoV2'
        project:
          $ref: '#/components/schemas/ProjectReferenceV1'
    AsyncRequestReferenceDtoV2:
      type: object
      properties:
        type:
          type: string
          description: Type of the object
          enum:
            - JOB
        uid:
          type: string
          description: UID of the object
      description: Reference object that is being processed by async request
    PreTranslateJobSettingsV3DtoJobMachineTranslationSettingsV3DtoV3:
      type: object
      properties:
        confirmMatches:
          type: boolean
          description: |-
            Set segment status to confirmed for:
                            machine translation suggestions above `confirmMatchesThreshold`. Default: false
        confirmMatchesThreshold:
          type: number
          format: double
          description: 'Machine translation suggestions percent. Default: `1.0`'
          minimum: 0
          maximum: 1
          exclusiveMinimum: false
          exclusiveMaximum: false
        lock100PercentMatches:
          type: boolean
          description: >-
            Lock section: 100% machine translation suggestions. Default: false,
            use lockMtThreshold to override the threshold
        lockMtThreshold:
          type: number
          format: double
          description: >-
            Segment locking based on machine translation suggestions with QPS
            above threshold. Default: 100%, used in combination with
            lock100PercentMatches
          minimum: 0
          maximum: 100
          exclusiveMinimum: false
          exclusiveMaximum: false
        lockPassedQualityEvaluation:
          type: boolean
          description: >-
            Lock segments that passed quality evaluation. Only supported for
            jobs in the first workflow step. Default: false
        machineTranslationBehavior:
          type: string
          description: 'Machine translation behavior. Default: APPLY_MT_ABOVE_THRESHOLD'
          enum:
            - APPLY_MT_ABOVE_THRESHOLD
            - COMPARE_AND_BEST_MATCH
        mtSuggestOnlyTmBelow:
          type: boolean
          description: 'Suggest MT only for segments with a TM match below. Default: true'
        mtSuggestOnlyTmBelowThreshold:
          type: number
          format: double
          description: >-
            Suggest MT only for segments with a TM match below threshold.
            Default: 1.0
          minimum: 0
          maximum: 1.01
          exclusiveMinimum: false
          exclusiveMaximum: false
        qualityProfileUid:
          type: string
          description: Quality profile UID for quality evaluation
        useAltTransOnly:
          type: boolean
          description: >-
            Do not put machine translations to target and use alt-trans fields
            (alt-trans in mxlf).

            Default: false
        useMachineTranslation:
          type: boolean
          description: 'Pre-translate from machine translation. Default: true'
      description: Machine translation related settings
    PreTranslateJobSettingsV3DtoJobNonTranslatableSettingsV3DtoV3:
      type: object
      properties:
        confirm100PercentMatches:
          type: boolean
          description: >-
            Set segment status to confirmed for: 100% non-translatables.
            Default: false
        lock100PercentMatches:
          type: boolean
          description: 'Lock section: 100% non-translatables. Default: false'
        preTranslateNonTranslatables:
          type: boolean
          description: 'Pre-translate non-translatables. Default: true'
      description: Non-translatables related settings
    PreTranslateJobSettingsV3DtoJobTranslationMemorySettingsV3DtoV3:
      type: object
      properties:
        confirm100PercentMatches:
          type: boolean
          description: >-
            Set segment status to confirmed for: 100% translation memory
            matches. Default: false
        confirm101PercentMatches:
          type: boolean
          description: >-
            Set segment status to confirmed for: 101% translation memory
            matches. Default: false
        lock100PercentMatches:
          type: boolean
          description: 'Lock section: 100% translation memory matches. Default: false'
        lock101PercentMatches:
          type: boolean
          description: 'Lock section: 101% translation memory matches. Default: false'
        translationMemoryThreshold:
          type: number
          format: double
          description: 'Pre-translation threshold percent. Default: 0.7'
          minimum: 0
          maximum: 1.01
          exclusiveMinimum: false
          exclusiveMaximum: false
        useTranslationMemory:
          type: boolean
          description: 'Pre-translate from translation memory. Default: true'
      description: Translation memory related settings
    AsyncResponseV2DtoV2:
      type: object
      properties:
        dateCreated:
          type: string
          format: date-time
        errorCode:
          type: string
        errorDesc:
          type: string
        errorDetails:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDtoV2'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDtoV2'
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        role:
          type: string
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
        userName:
          type: string
    ProjectReferenceV1:
      type: object
      properties:
        name:
          type: string
        uid:
          type: string
    ErrorDetailDtoV2:
      type: object
      properties:
        args:
          type: object
          description: Related arguments, e.g. number => "hello world"
          additionalProperties:
            type: object
        code:
          type: string
          description: Code, e.g. NOT_FOUND.
        message:
          type: string
          description: Optional human-readable message.
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````